\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,kbordermatrix}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem*{sol}{Solution}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 1 \hfill
Due 17 August.
\vspace{1ex}\hrule\vspace{1ex}

\begin{Q}
Let $G=(V,E,\phi)$ be a graph.
The \emph{degree} of a vertex $v \in V$ is the
number of edges that are incident with $v$.
(With the condition that any loop incident with
$v$ contributes two to the degree of $v$.)
Suppose that every vertex in $G$ has degree at least two.
Prove that $G$ contains a cycle.
\end{Q}

\begin{Q}
Draw geometric representations of all matroids with
at most three elements, and represent each of these as a
graph.
\end{Q}

\begin{Q}
Consider the binary matroid represented by the following
matrix over GF(2).
\begin{displaymath}
\kbordermatrix{ &e & f & g & h\\
a &1 & 1 & 1 & 1\\
b &1 & 0 & 1 & 1\\
c &1 & 1 & 0 & 1\\
d &1 & 1 & 1 & 0
}
\end{displaymath}
Gives examples of the following:
\begin{enumerate}[(i)]
\item A basis.
\item A spanning circuit.
\item A three-element circuit (sometimes called a \emph{triangle}).
\item A three-element cocircuit (sometimes called a \emph{triad}).
\item An independent hyperplane.
\end{enumerate}
\end{Q}

\begin{Q}
Consider the following matrix, $A$, over $\mathrm{GF}(3)$.
\begin{displaymath}
\kbordermatrix{ &d & e & f & g\\
a &1 & 1 & 0 & 1\\
b &1 & 0 & 1 & 2\\
c &0 & 1 & 2 &2
}
\end{displaymath}
Draw a geometric representation of the matroid $M[I|A]$.
\end{Q}

\begin{Q}
A matroid is \emph{simple} if it has no loops and
no parallel pairs.
Draw geometric representations of all the simple rank-three
matroids with six elements.
\end{Q}

\begin{Q}
Let $E$ be a finite set and let $\mathcal{I}$ be a collection
of subsets of $E$ obeying the following rules:
\begin{itemize}
\item[{\bf I1}] $\emptyset \in \mathcal{I}$.
\item[{\bf I2}] If $I_{1} \in \mathcal{I}$, and
$I_{2} \subseteq \mathcal{I}$, then $I_{2} \in \mathcal{I}$.
\item[{\bf I3}] If $X$ is any subset of $E$, then all the
maximal members of $\mathcal{I}$ that are
contained in $X$ have the same cardinality.
\end{itemize}
Show that $(E,\mathcal{I})$ is a matroid.
\end{Q}

\begin{Q}
Let $V=\{\mathbf{v}_{1},\ldots, \mathbf{v}_{t}\}$ be a set of vectors
from the vector space $F^{n}$,
where $\mathbf{v}_{i}=(v_{1}^{i},v_{2}^{i},\ldots, v_{n}^{i})$
for each $i$.
Let $\alpha$ be an element of the field $F$.
Let $V'$ be the set derived from $V$ by adding the product of
$\alpha$ and the $j$th entry to the $k$th entry, for each of the
vectors in $V$.
In other words,
$V'=\{\mathbf{v}_{1}',\ldots, \mathbf{v}_{t}'\}$
where
$\mathbf{v}_{i}'=(v_{1}^{i},\ldots, v_{k-1}^{i},v_{k}^{i}+\alpha v_{j}^{i},
v_{k+1}^{i},\ldots, v_{n}^{i})$, for each $i$.
Show that $V$ is linearly independent if and only if $V'$ is linearly
independent.
\end{Q}

\begin{Q}
Prove that the uniform matroid $U_{2,4}$ is not graphic.
\end{Q}

\begin{Q}
Let $M_{1}=(E,\mathcal{I}_{1})$ and
$M_{2}=(E,\mathcal{I}_{2})$ be two matroids on the common
ground set $E$.
\begin{enumerate}[(i)]
\item Show that $(E,\mathcal{I}_{1}\cup \mathcal{I}_{2})$
is a matroid.
(This matroid is sometimes known as the \emph{union}
of $M_{1}$ and $M_{2}$.)
\item Give an example to show that
$(E,\mathcal{I}_{1}\cap \mathcal{I}_{2})$
may not be a matroid.
\end{enumerate}
\end{Q}

\begin{Q}
Let $M=(E,\mathcal{I})$ be a matroid, with $\mathcal{B}$ as its
sets of bases.
Suppose that $X$ is a circuit and a hyperplane of $M$.
Show that $\mathcal{B} \cup \{X\}$ is the set of bases of a
matroid on the ground set $E$.
(This matroid is said to be obtained from $M$ by
\emph{relaxing} the circuit-hyperplane $X$.)
\end{Q}

\begin{Q}
Prove the following \emph{strong circuit-elimination axiom}:
Let $C_{1}$ and $C_{2}$ be distinct circuits of a matroid.
Suppose that $e$ is an element in $C_{1}\cap C_{2}$ and
$f$ is an element in $C_{1}-C_{2}$.
There is a circuit contained in $(C_{1} \cup C_{2}) -e$
that contains $f$.
\end{Q}

\end{document}